ROCM-DOCS-BUILD(1)

NAME
rocm-docs-build - Build documentation for ROCm

SYNOPSIS
rocm-docs-build [OPTION]

DESCRIPTION
rocm-docs-build - Build rocm documentation using ROCm sphinx plugin and theme Dedicated to debian ROCm maintainer as well as user wanting to rebuild the doc online. A ROCm ./docs directory must be in the current directory The doc is generated in ./build/html directory by default You cas use url and branch env var if required

-h,--help
    Show this help

-u,--updatedata
    Update debian/rocm_data for rocm-docs-core package will only apply if debian/rocm_data is found

-o,--online
    Builds documentation with internet access default is no internet access

-v,--version
    Display rocm version

-n,--nopatch
    Disable patch on docs/conf.py

-r,--rocmversion
    Override the rocm version from debian/rocm_data

-t,--targetdir
    Override the default output location

AUTHOR
Written by Christian Bayle

COPYRIGHT
Copyright © 2025 Christian Bayle <bayle@debian.org>